#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	yasm
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	Yasm is a complete rewrite of the NASM assembler
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.tortall.net/projects/yasm/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	bison
BuildRequires	:	make
BuildRequires	:	python
BuildRequires	:	xmlto
#-----------------------------------------------------------------------------
%description
Yasm currently supports the x86 and AMD64 instruction sets, accepts
NASM and GAS assembler syntaxes, outputs binary, ELF32, ELF64, 32 and
64-bit Mach-O, RDOFF2, COFF, Win32, and Win64 object formats, and
generates source debugging information in STABS, DWARF 2, and
CodeView 8 formats.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README 
%{_bindir}/*%{name}
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Header files and static libraries for the yasm Modular Assembler

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

Provides	:	%{name}-static	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License
(some portions are under other licenses, see COPYING for details). It is
designed from the ground up to allow for multiple assembler syntaxes to be
supported (eg, NASM, TASM, GAS, etc.) in addition to multiple output object
formats and even multiple instruction sets. Another primary module of the
overall design is an optimizer module.
Install this package if you need to rebuild applications that use yasm.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/lib%{name}/*.h
%{_includedir}/lib%{name}*.h
%{_libdir}/lib%{name}.a
%{_mandir}/man7/%{name}_*.7.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
sed -i							\
 -e 's#) ytasm.*#)#'					\
 Makefile.in

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--localstatedir=%{_var}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
